<refentry id="qandaentry.element" revision='3.1'>
<?dbhtml filename="qandaentry.html"?>
<refentryinfo>
<pubdate>$Date: 2002-06-12 19:19:37 +0800 (Wed, 12 Jun 2002) $</pubdate>
<releaseinfo>$Revision: 1666 $</releaseinfo>
</refentryinfo>

<refmeta>
<indexterm><primary>elements</primary>
<secondary>qandaentry</secondary></indexterm>
<refentrytitle>qandaentry</refentrytitle>
<refmiscinfo>Element</refmiscinfo>
</refmeta>
<refnamediv>
<refname>qandaentry</refname>
<refpurpose>&qandaentry.purpose;</refpurpose>
</refnamediv>

&qandaentry.synopsis.gen;
<refsect1 condition='ref.description'><title>Description</title>

<para>A <sgmltag>QandAEntry</sgmltag> is an entry in a
<sgmltag>QandASet</sgmltag>. Each <sgmltag>QandAEntry</sgmltag>
defines a <sgmltag>Question</sgmltag> and (possibly) its
<sgmltag>Answer</sgmltag> or <sgmltag>Answer</sgmltag>s.
</para>

<para>Since V4.2, the preferred way to associate a revision history with
a <sgmltag>QandAEntry</sgmltag> is in the <sgmltag>BlockInfo</sgmltag>.
The use of <sgmltag>RevHistory</sgmltag> directly in <sgmltag>QandAEntry</sgmltag>
is deprecated.</para>

<refsect2><title>Processing expectations</title>
<para>
&format.block; <sgmltag>Question</sgmltag>s are usually presented before the 
<sgmltag>Answer</sgmltag>s, and often the <sgmltag>Answer</sgmltag>s are indented
to make the questions stand out.
</para>
</refsect2>



&qandaentry.parents.gen;
&qandaentry.children.gen;
</refsect1>
<refsect1><title>Examples</title>

&qandaentry.example.seealso.gen;
</refsect1>
</refentry>

